<template>
  <section class="section">
    <div class="container">
      <h1 class="title">Contributing</h1>
      <p>You are contributing to {{ user.contributing.length }} packages! That is {{ total }} a month...</p><br>
      <strong><small>Please give yourself a pat on the back from us.</small></strong><br>
      <br>
      <hr>
      <div class="columns is-centered has-text-left is-multiline">
        <div class="box column is-3" v-for="dep in user.contributing" :key="dep.id">
          <article class="media">
            <div class="media-content">
              <div class="content">
                <p>
                  <strong>{{ dep.name }}</strong>&nbsp;<small>@owner</small>
                  <br>
                  Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean efficitur sit amet massa fringilla egestas. Nullam condimentum luctus turpis.
                </p>
              </div>
              <nav class="level is-mobile">
                <div class="level-left">
                  <a class="level-item button is-small is-info" :href="`https://npm.im/${dep.name}`">
                    View on NPM
                  </a>
                  <a class="level-item" aria-label="retweet">
                    <span class="icon is-small">
                      <i class="fas fa-retweet" aria-hidden="true"></i>
                    </span>
                  </a>
                  <a class="level-item" aria-label="like">
                    <span class="icon is-small">
                      <i class="fas fa-heart" aria-hidden="true"></i>
                    </span>
                  </a>
                </div>
              </nav>
            </div>
          </article>
        </div>
      </div>
    </div>
  </section>
</template>

<script>
import USER_QUERY from '@/graphql/User/User.gql'
export default {
  apollo: {
    user: USER_QUERY,
    fetchPolicy: 'cache-and-network'
  },
  computed: {
    total () {
      return new Intl.NumberFormat(this.user.currency.locale, { style: 'currency', currency: this.user.currency.abbreviation }).format(this.user.contributing.length * this.user.amount)
    }
  }
}
</script>

<style lang="scss" scoped>
.box {
  margin: 1rem;
}
</style>
